function noise = mgaussianNoiseExpandParam(noise, params)

% MGAUSSIANNOISEEXPANDPARAM Expand Variable variance Gaussian noise model's structure from param vector.
%
%	Description:
%	noise = mgaussianNoiseExpandParam(noise, params)
%

%	Copyright (c) 2006 Neil D. Lawrence
% 	mgaussianNoiseExpandParam.m version 1.2




noise.bias = params(1:noise.numProcess);
noise.sigma2 = params(noise.numProcess+1:end);