function [dlnZ_dmu, dlnZ_dvs] = ngaussNoiseGradVals(noise, mu, varsigma, y)

% NGAUSSNOISEGRADVALS Gradient wrt mu and varsigma of log-likelihood for noiseless Gaussian noise model.
%
%	Description:
%	[dlnZ_dmu, dlnZ_dvs] = ngaussNoiseGradVals(noise, mu, varsigma, y)
%

%	Copyright (c) 2006 Neil D. Lawrence
% 	ngaussNoiseGradVals.m version 1.2




[dlnZ_dmu, dlnZ_dvs] = gaussianNoiseGradVals(noise, mu, varsigma, y);